Bug 1121189 - [PATCH] Have yum-cron provide hostname for from email
Summary: [PATCH] Have yum-cron provide hostname for from email
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 15:20 UTC by Pat Riehecky
Modified: 2017-12-12 10:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1330670 (view as bug list)
Environment:
Last Closed: 2017-12-12 10:16:13 UTC


Attachments (Terms of Use)
patch to resolve (1.02 KB, patch)
2014-07-18 15:20 UTC, Pat Riehecky
no flags Details | Diff

Description Pat Riehecky 2014-07-18 15:20:27 UTC
Created attachment 919120 [details]
patch to resolve

Description of problem: It would be nice if yum-cron could fill out the 'from' section a bit more elegantly when left to the defaults.  The program already locates the hostname, so I thought it might be nice if it used that for 'from' if left at the defaults.


Version-Release number of selected component (if applicable):yum-cron-3.4.3-152.fc21.noarch.rpm


How reproducible:100%


Steps to Reproduce:
1.enable sending email
2.note it comes from root@localhost
3.

Actual results:
From: root@localhost

Expected results:
something more specific

Additional info:
Attached patch resolves.

Comment 1 Rex Dieter 2014-10-31 18:17:32 UTC
triaging to yum component

Comment 2 Jaroslav Reznik 2015-03-03 16:08:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Jan Kurik 2016-07-26 04:53:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Fedora End Of Life 2017-11-16 18:53:34 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:16:13 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.